<?php require_once('Connections/conn.php'); ?>
<?php session_start();

 //Impide que la p?gina sea vista desde el navegador.
	if (!isset($_SESSION['MM_Username'])) {
      header ("Location: modulos/inicio/index.php");
	  }
	$cedula_usuario=$_SESSION['CEDULA_USUARIO'];
	mysql_select_db($database_conn, $conn);
    mysql_query ("SET NAMES 'utf8'");	
	
	
	
  if (isset($_GET["order"])) $order = @$_GET["order"];
  if (isset($_GET["type"])) $ordtype = @$_GET["type"];

  if (isset($_POST["filter"])) $filter = @$_POST["filter"];
  if (isset($_POST["filter_field"])) $filterfield = @$_POST["filter_field"];
  $wholeonly = false;
  if (isset($_POST["wholeonly"])) $wholeonly = @$_POST["wholeonly"];

  if (!isset($order) && isset($_SESSION["order"])) $order = $_SESSION["order"];
  if (!isset($ordtype) && isset($_SESSION["type"])) $ordtype = $_SESSION["type"];
  if (!isset($filter) && isset($_SESSION["filter"])) $filter = $_SESSION["filter"];
  if (!isset($filterfield) && isset($_SESSION["filter_field"])) $filterfield = $_SESSION["filter_field"];

?>

<html>
<head>
<title>siga_pregrado -- tickets</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<style type="text/css">
  body {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .bd {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .tbl {
    background-color: #FFFFFF;
  }
  a:link { 
    color: #FF0000;
    font-family: Arial;
    font-size: 12px;
  }
  a:active { 
    color: #0000FF;
    font-family: Arial;
    font-size: 12px;
  }
  a:visited { 
    color: #800080;
    font-family: Arial;
    font-size: 12px;
  }
  .hr {
    background-color: #336699;
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:link {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:active {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:visited {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  .dr {
    background-color: #FFFFFF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
  .sr {
    background-color: #FFFFCF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
</style>
</head>
<body>
<table class="bd" width="100%"><tr><td class="hr"><h2>Atenci&oacute;n de Eventos</h2></td></tr></table>
<?php
  require_once('Connections/conn.php');
  mysql_select_db("siga_pregrado");
  mysql_query ("SET NAMES 'utf8'");
  
  $showrecs = 250;
  $pagerange = 10;

  $a = @$_GET["a"];
  $recid = @$_GET["recid"];
  $page = @$_GET["page"];
  if (!isset($page)) $page = 1;

  $sql = @$_POST["sql"];

  switch ($sql) {
    case "insert":
      sql_insert();
      break;
    case "update":
      sql_update();
      break;
  }

  switch ($a) {
    case "add":
      addrec();
      break;
    case "view":
      viewrec($recid);
      break;
    case "edit":
      editrec($recid);
      break;
    default:
      select();
      break;
  }

  if (isset($order)) $_SESSION["order"] = $order;
  if (isset($ordtype)) $_SESSION["type"] = $ordtype;
  if (isset($filter)) $_SESSION["filter"] = $filter;
  if (isset($filterfield)) $_SESSION["filter_field"] = $filterfield;
  if (isset($wholeonly)) $_SESSION["wholeonly"] = $wholeonly;

  mysql_close($conn);
?>
<table class="bd" width="100%"><tr><td class="hr">SIGA LA ENAHP</td></tr></table>
</body>
</html>

<?php function select()
  {
  global $a;
  global $showrecs;
  global $page;
  global $filter;
  global $filterfield;
  global $wholeonly;
  global $order;
  global $ordtype;
  global $apellidos;
  global $nombres;
  global $cedula_usuario;
  global $conn;


  if ($a == "reset") {
    $filter = "";
    $filterfield = "";
    $wholeonly = "";
    $order = "";
    $ordtype = "";
  }

  $checkstr = "";
  if ($wholeonly) $checkstr = " checked";
  if ($ordtype == "asc") { $ordtypestr = "desc"; } else { $ordtypestr = "asc"; }
  $res = sql_select();
  $count = sql_getrecordcount();
  if ($count % $showrecs != 0) {
    $pagecount = intval($count / $showrecs) + 1;
  }
  else {
    $pagecount = intval($count / $showrecs);
  }
  $startrec = $showrecs * ($page - 1);
  if ($startrec < $count) {mysql_data_seek($res, $startrec);}
  $reccount = min($showrecs * $page, $count);
?>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr><td>Eventos Asignados <?php echo $startrec + 1 ?> - <?php echo $reccount ?> de <?php echo $count ?></td></tr>
</table>
<hr size="1" noshade>
<form action="tickets_analista.php" method="post">
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><b>Filtrar por</b>&nbsp;</td>
<td><input type="text" name="filter" value="<?php echo $filter ?>"></td>
<td><select name="filter_field">
<option value="">Todos los campos</option>
<option value="<?php echo "id_ticket" ?>"<?php if ($filterfield == "id_ticket") { echo "selected"; } ?>><?php echo htmlspecialchars("Nro. de Evento") ?></option>
<option value="<?php echo "asunto" ?>"<?php if ($filterfield == "id_estudiante") { echo "selected"; } ?>><?php echo htmlspecialchars("Cédula del Estudiante") ?></option>
<option value="<?php echo "asunto" ?>"<?php if ($filterfield == "asunto") { echo "selected"; } ?>><?php echo htmlspecialchars("Tipo de Evento") ?></option>
<option value="<?php echo "estado" ?>"<?php if ($filterfield == "estado") { echo "selected"; } ?>><?php echo htmlspecialchars("Estado") ?></option>
</select></td>
<td><input type="checkbox" name="wholeonly"<?php echo $checkstr ?>>Palabra Completa</td>
</td></tr>
<tr>
<td>&nbsp;</td>
<td><input type="submit" name="action" value="Aplicar Filtro"></td>
<td><a href="tickets_analista.php?a=reset">Quitar Filtro</a></td>
</tr>
</table>
</form>
<hr size="1" noshade>
<?php showpagenav($page, $pagecount); ?>
<br>
<table class="tbl" border="0" cellspacing="1" cellpadding="3"width="100%">
<tr>
<td class="hr">&nbsp;Ver&nbsp;</td>
<td class="hr">&nbsp;Responder&nbsp;</td>
<td class="hr">&nbsp;Modificar<br>Inscripci&oacute;n&nbsp;</td>

<td class="hr" align="center"><a class="hr" href="tickets_analista.php?order=<?php echo "id_ticket" ?>&type=<?php echo $ordtypestr ?>"><?php echo htmlspecialchars("Nro.") ?></a></td>
<td class="hr" align="center"><a class="hr" href="tickets_analista.php?order=<?php echo "id_estudiante" ?>&type=<?php echo $ordtypestr ?>"><?php echo htmlspecialchars("Estudiante") ?></a></td>

<td class="hr" align="center"><a class="hr" href="tickets_analista.php?order=<?php echo "fecha_solicitud" ?>&type=<?php echo $ordtypestr ?>">Fecha de<br>Reporte</a></td>
<td class="hr" align="center"><a class="hr" href="tickets_analista.php?order=<?php echo "asunto" ?>&type=<?php echo $ordtypestr ?>"><?php echo htmlspecialchars("Tipo de Evento") ?></a></td>
<td class="hr" align="center"><a class="hr" href="tickets_analista.php?order=<?php echo "estado" ?>&type=<?php echo $ordtypestr ?>"><?php echo htmlspecialchars("Estado") ?></a></td>
</tr>
<?php
  for ($i = $startrec; $i < $reccount; $i++)
  {
    $row = mysql_fetch_assoc($res);
    $style = "dr";
    if ($i % 2 != 0) {
      $style = "sr";
    }
	// Para tomar los datos del alumno
	$cedula_estudiante=$row["id_estudiante"];
	$sql = "SELECT id_alumno,apellidos, nombres FROM alumnos WHERE cedula='$cedula_estudiante'";
	$rs = mysql_query($sql, $conn) or die(mysql_error());
	$row_estudiante = mysql_fetch_assoc($rs);
	$estudiante= $row_estudiante['apellidos'].', '.$row_estudiante['nombres'];
	$estudiante=ucwords(strtolower($estudiante));
	$carrera_del_estudiante="LCF";
	
	
?>
<tr>
<td align="center" class="<?php echo $style ?>"><a href="tickets_analista.php?a=view&recid=<?php echo $i ?>"><img src="imagenes/search.gif" border="0" ></a></td>
<td align="center" class="<?php echo $style ?>"><a href="tickets_analista.php?a=edit&recid=<?php echo $i ?>"><img src="imagenes/accept.png" border="0" ></a></td>
<td align="center" class="<?php echo $style ?>"><a href="modificar_inscripcion.php?cedula=<?php echo $row["id_estudiante"] ?>&id_carrera=<?php echo $carrera_del_estudiante ?>"><img src="imagenes/edit.gif" border="0" ></a></td>
<td align="center" class="<?php echo $style ?>"><?php echo htmlspecialchars($row["id_ticket"]) ?></td>
<td align="left" class="<?php echo $style ?>"><?php echo $estudiante; ?></td>
<td class="<?php echo $style ?>"><?php echo htmlspecialchars(join ("-",(array_reverse(explode("-",$row["fecha_solicitud"]))))) ?></td>
<td class="<?php echo $style ?>"><?php echo htmlspecialchars($row["asunto"]) ?></td>
<td class="<?php echo $style ?>"><?php echo htmlspecialchars(ucwords(strtolower($row["estado"]))) ?></td>
</tr>
<?php
  }
  mysql_free_result($res);
?>
</table>
<br>
<?php } ?>

<?php function showrow($row, $recid)
  {
  global $apellidos;
  global $nombres;
  global $cedula_usuario;
  global $conn;
  

	mysql_select_db($database_conn, $conn);
    mysql_query ("SET NAMES 'utf8'");	
  
    $cedula_estudiante=$row["id_estudiante"];
	// Para tomar los datos del alumno
	$sql = "SELECT id_alumno,apellidos, nombres FROM alumnos WHERE cedula='$cedula_estudiante'";
	$rs = mysql_query($sql, $conn) or die(mysql_error());
	$row_estudiante = mysql_fetch_assoc($rs);
	$estudiante= $row_estudiante['apellidos'].', '.$row_estudiante['nombres'];
	$estudiante=ucwords(strtolower($estudiante));
	
	// Para tomar los datos del alumno
	$analista_asignado=$row["analista_asignado"];
	$sql_analista_asig = "SELECT username,apellidos, nombres FROM usuarios WHERE cedula='$analista_asignado'";
	$rst_analista_asig = mysql_query($sql_analista_asig, $conn) or die(mysql_error());
	$row_analista_asig = mysql_fetch_assoc($rst_analista_asig);
	 $nombre_analista_asig=ucwords(strtolower($row_analista_asig['apellidos'].' '.$row_analista_asig['nombres']));
?>
<table class="tbl" border="0" cellspacing="1" cellpadding="3" width="100%">
<tr>
<tr>
<td colspan="2">Datos del Evento</td>
</tr>

<td class="hr"><?php echo htmlspecialchars("Número del Evento")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["id_ticket"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Estudiante")."&nbsp;" ?></td>
<td class="dr"><?php echo $estudiante ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Cédula de Identidad")."&nbsp;" ?></td>
<td class="dr"><?php echo number_format($cedula_estudiante,0,"",".") ?></td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Tipo de Evento")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["asunto"]) ?></td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Fecha de Reporte")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars(join ("-",(array_reverse(explode("-",$row["fecha_solicitud"]))))) ?></td>
</tr>
<tr>
<td class="hr" ><?php echo htmlspecialchars("Detalles del Evento")."&nbsp;" ?></td>
<td class="dr"><textarea readonly="readonly" cols="70" rows="4" name="descripcion" maxlength="65535"><?php echo str_replace('"', '&quot;', trim($row["descripcion"])) ?></textarea></td>
</tr>
<tr>
<tr>
<td colspan="2">Datos del Seguimiento</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Analista Asignado")."&nbsp;" ?></td>
<td class="dr"><?php echo $nombre_analista_asig; ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Fecha de Asignación")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars(join ("-",(array_reverse(explode("-",$row["fecha_asignacion"]))))) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Respuesta")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["respuesta"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Fecha de Respuesta")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars(join ("-",(array_reverse(explode("-",$row["fecha_respuesta"]))))) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Estado")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["estado"]) ?></td>
</tr>
</table>
<?php } ?>

<?php function showroweditor($row, $iseditmode)
  {
  global $conn;
  
	mysql_select_db($database_conn, $conn);
    mysql_query ("SET NAMES 'utf8'");	
  
  $cedula_estudiante=$row["id_estudiante"];
	// Para tomar los datos del alumno
	$sql = "SELECT id_alumno,apellidos, nombres FROM alumnos WHERE cedula='$cedula_estudiante'";
	$rs = mysql_query($sql, $conn) or die(mysql_error());
	$row_estudiante = mysql_fetch_assoc($rs);
	$estudiante= $row_estudiante['apellidos'].', '.$row_estudiante['nombres'];
	$estudiante=ucwords(strtolower($estudiante));
	
	// Para tomar los datos del alumno
	$sql_analista = "SELECT cedula, username,apellidos, nombres FROM usuarios WHERE tipo_usuario='4' or tipo_usuario='5' or tipo_usuario='6' or tipo_usuario='10' order by apellidos,nombres";
	$rst_analista = mysql_query($sql_analista, $conn) or die(mysql_error());
	
	// Para tomar los datos del alumno
	$analista_asignado=$row["analista_asignado"];
	$sql_analista_asig = "SELECT username,apellidos, nombres FROM usuarios WHERE cedula='$analista_asignado'";
	$rst_analista_asig = mysql_query($sql_analista_asig, $conn) or die(mysql_error());
	$row_analista_asig = mysql_fetch_assoc($rst_analista_asig);
	 $nombre_analista_asig=ucwords(strtolower($row_analista_asig['apellidos'].' '.$row_analista_asig['nombres']));
   
	
	$fecha_asignacion=join ("-",(array_reverse(split("-",date("Y-m-d"))))); 
	 

	
?>
<table class="tbl" border="0" cellspacing="1" cellpadding="3" width="100%">
<tr>
<td colspan="2">Datos del Evento</td>
</tr>
<td class="hr"><?php echo htmlspecialchars("Número del Evento")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["id_ticket"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Estudiante")."&nbsp;" ?></td>
<td class="dr"><?php echo $estudiante ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Cédula de Identidad")."&nbsp;" ?></td>
<td class="dr"><?php echo number_format($cedula_estudiante,0,"",".") ?></td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Tipo de Evento")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["asunto"]) ?></td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Fecha de Reporte")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars(join ("-",(array_reverse(explode("-",$row["fecha_solicitud"]))))) ?></td>
</tr>
<tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Detalles del Evento")."&nbsp;" ?></td>
<td class="dr"><textarea readonly="true" cols="70" rows="2" name="descripcion" maxlength="65535"><?php echo str_replace('"', '&quot;', trim($row["descripcion"])) ?></textarea></td>
</tr>
<tr>
<td colspan="2">Datos del Seguimiento</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Respuesta")."&nbsp;" ?></td>
<td class="dr"><textarea cols="70" rows="2" name="respuesta" maxlength="65535"><?php echo str_replace('"', '&quot;', trim($row["respuesta"])) ?></textarea></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Fecha de Asignación")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars(join ("-",(array_reverse(explode("-",$row["fecha_asignacion"]))))) ?></td>
</tr>
</table>
<?php } ?>

<?php function showrowadd($row, $iseditmode)
  {
  global $conn;
  global $id_alumno;
  global $nombres;
  global $apellidos;
  global $cedula_usuario;
  
  mysql_select_db($database_conn, $conn);
  mysql_query ("SET NAMES 'utf8'");	
	
  $sql_tickets = "SELECT codigo, descripcion FROM tipo_evento order by descripcion";
  $rst_tickets = mysql_query($sql_tickets, $conn) or die(mysql_error());
  $row_tickets = mysql_fetch_assoc($rst_tickets);
  $totalRows_tickets = mysql_num_rows($rst_tickets);
?>
<table class="tbl" border="0" cellspacing="1" cellpadding="3" width="100%">
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Estudiante")."&nbsp;" ?></td>
<td class="dr"><?php echo $apellidos.', '.$nombres ?></td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Cédula de Identidad")."&nbsp;" ?></td>
<td class="dr"><?php echo number_format($cedula_usuario,0,"","."); ?></td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Tipo de Evento")."&nbsp;" ?></td>
<td class="dr"><select name="asunto" id="asunto">
<option value="0">SELECCIONE...</option>

  <?php
do {  
?>
  <option value="<?php echo $row_tickets['descripcion']?>"><?php echo $row_tickets['descripcion']?></option>
  <?php
} while ($row_tickets = mysql_fetch_assoc($rst_tickets));
  $rows = mysql_num_rows($rst_tickets);
  if($rows > 0) {
      mysql_data_seek($rst_tickets, 0);
	  $row_tickets = mysql_fetch_assoc($rst_tickets);
  }
?>
</select></td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Detalles del Evento")."&nbsp;" ?></td>
<td class="dr"><textarea cols="70" rows="4" name="descripcion" maxlength="65535"><?php echo str_replace('"', '&quot;', trim($row["descripcion"])) ?></textarea></td>
</tr>
</table>
<?php } ?>

<?php function showpagenav($page, $pagecount)
{
?>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<?php if ($page > 1) { ?>
<td><a href="tickets_analista.php?page=<?php echo $page - 1 ?>">&lt;&lt;&nbsp;Anterior</a>&nbsp;</td>
<?php } ?>
<?php
  global $pagerange;

  if ($pagecount > 1) {

  if ($pagecount % $pagerange != 0) {
    $rangecount = intval($pagecount / $pagerange) + 1;
  }
  else {
    $rangecount = intval($pagecount / $pagerange);
  }
  for ($i = 1; $i < $rangecount + 1; $i++) {
    $startpage = (($i - 1) * $pagerange) + 1;
    $count = min($i * $pagerange, $pagecount);

    if ((($page >= $startpage) && ($page <= ($i * $pagerange)))) {
      for ($j = $startpage; $j < $count + 1; $j++) {
        if ($j == $page) {
?>
<td><b><?php echo $j ?></b></td>
<?php } else { ?>
<td><a href="tickets_analista.php?page=<?php echo $j ?>"><?php echo $j ?></a></td>
<?php } } } else { ?>
<td><a href="tickets_analista.php?page=<?php echo $startpage ?>"><?php echo $startpage ."..." .$count ?></a></td>
<?php } } } ?>
<?php if ($page < $pagecount) { ?>
<td>&nbsp;<a href="tickets_analista.php?page=<?php echo $page + 1 ?>">Siguiente&nbsp;&gt;&gt;</a>&nbsp;</td>
<?php } ?>
</tr>
</table>
<?php } ?>

<?php function showrecnav($a, $recid, $count)
{
?>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><a href="tickets_analista.php">Regresar</a></td>
<?php if ($recid > 0) { ?>
<td><a href="tickets_analista.php?a=<?php echo $a ?>&recid=<?php echo $recid - 1 ?>">Evento Anterior</a></td>
<?php } if ($recid < $count - 1) { ?>
<td><a href="tickets_analista.php?a=<?php echo $a ?>&recid=<?php echo $recid + 1 ?>">Siguiente Evento</a></td>
<?php } ?>
</tr>
</table>
<hr size="1" noshade>
<?php } ?>

<?php function addrec()
{
?>
<table class="bd" width="100%"><tr><td class="hr">Reportando Evento</td></tr></table>
<table  class="bd" width="100%"><tr><td>Los campos marcados con (*) son obligatorios </td></tr></table>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><a href="tickets_analista.php">Regresar</a></td>
</tr>
</table>
<hr size="1" noshade>
<form enctype="multipart/form-data" action="tickets_analista.php" method="post">
<p><input type="hidden" name="sql" value="insert"></p>
<?php
$row = array(
  "id_ticket" => "",
  "asunto" => "",
  "id_estudiante" => "",
  "fecha_solicitud" => "",
  "descripcion" => "",
  "analista_asignado" => "",
  "fecha_asignacion" => "",
  "respuesta" => "",
  "fecha_respuesta" => "",
  "estado" => "");
showrowadd($row, false);
?>
<p><input type="submit" name="action" value="Enviar"></p>
</form>
<?php } ?>

<?php function viewrec($recid)
{
  $res = sql_select();
  $count = sql_getrecordcount();
  mysql_data_seek($res, $recid);
  $row = mysql_fetch_assoc($res);
  showrecnav("view", $recid, $count);
?>
<br>
<?php showrow($row, $recid) ?>
<br>
<hr size="1" noshade>
<?php
  mysql_free_result($res);
} ?>

<?php function editrec($recid)
{ ?>
<table class="bd" width="100%"><tr><td class="hr">Respondiendo Evento</td></tr></table>
 <?php $res = sql_select();
  $count = sql_getrecordcount();
  mysql_data_seek($res, $recid);
  $row = mysql_fetch_assoc($res);
  showrecnav("edit", $recid, $count);
?>
<form enctype="multipart/form-data" action="tickets_analista.php" method="post">
<input type="hidden" name="sql" value="update">
<input type="hidden" name="xid_ticket" value="<?php echo $row["id_ticket"] ?>">
<?php showroweditor($row, true); ?>
<p><input type="submit" name="action" value="Guardar"></p>
</form>
<?php
  mysql_free_result($res);
} ?>

<?php function connect()
{
  $conn = mysql_connect("localhost", "siga_dbm", "2PN2QDmP6ZsHrcue");
  mysql_select_db("siga_pregrado");
  return $conn;
}

function sqlvalue($val, $quote)
{
  if ($quote)
    $tmp = sqlstr($val);
  else
    $tmp = $val;
  if ($tmp == "")
    $tmp = "NULL";
  elseif ($quote)
    $tmp = "'".$tmp."'";
  return $tmp;
}

function sqlstr($val)
{
  return str_replace("'", "''", $val);
}

function sql_select()
{
  global $conn;
  global $order;
  global $ordtype;
  global $filter;
  global $filterfield;
  global $wholeonly;
  global $id_alumno;
  global $cedula_usuario;

  $filterstr = sqlstr($filter);
  if (!$wholeonly && isset($wholeonly) && $filterstr!='') $filterstr = "%" .$filterstr ."%";
  $sql = "SELECT `id_ticket`, `asunto`, `id_estudiante`, `fecha_solicitud`, `descripcion`, `analista_asignado`, `fecha_asignacion`, `respuesta`, `fecha_respuesta`, `estado` FROM `tickets` where analista_asignado='$cedula_usuario'";
  if (isset($filterstr) && $filterstr!='' && isset($filterfield) && $filterfield!='') {
    $sql .= " and " .sqlstr($filterfield) ." like '" .$filterstr ."'";
  } elseif (isset($filterstr) && $filterstr!='') {
    $sql .= " and (`id_ticket` like '" .$filterstr ."') or (`id_estudiante` like '" .$filterstr ."') or (`asunto` like '" .$filterstr ."') or (`estado` like '" .$filterstr ."')";
  }
  if (isset($order) && $order!='') $sql .= " order by `" .sqlstr($order) ."`";
  if (isset($ordtype) && $ordtype!='') $sql .= " " .sqlstr($ordtype);
  $res = mysql_query($sql, $conn) or die(mysql_error());
  return $res;
}

function sql_getrecordcount()
{
  global $conn;
  global $order;
  global $ordtype;
  global $filter;
  global $filterfield;
  global $wholeonly;
  global $id_alumno;
  global $cedula_usuario;

  $filterstr = sqlstr($filter);
  if (!$wholeonly && isset($wholeonly) && $filterstr!='') $filterstr = "%" .$filterstr ."%";
  $sql = "SELECT COUNT(*) FROM `tickets` where analista_asignado='$cedula_usuario'";
  if (isset($filterstr) && $filterstr!='' && isset($filterfield) && $filterfield!='') {
    $sql .= " and " .sqlstr($filterfield) ." like '" .$filterstr ."'";
  } elseif (isset($filterstr) && $filterstr!='') {
    $sql .= " and (`id_ticket` like '" .$filterstr ."') or (`id_estudiante` like '" .$filterstr ."') or (`asunto` like '" .$filterstr ."') or (`estado` like '" .$filterstr ."')";
  }
  $res = mysql_query($sql, $conn) or die(mysql_error());
  $row = mysql_fetch_assoc($res);
  reset($row);
  return current($row);
}

function sql_insert()
{
  global $conn;
  global $_POST;
  
  global $id_alumno;
  
  // Incluimos la solicitud
		  $fecha1 = explode("-",date("Y-m-d")); 
		  $fecha2 = $fecha1[0].$fecha1[1].$fecha1[2]; 
		  $fecha_hoy = cambioFecha($fecha2);  
		  $fecha_registro=join ("-",(array_reverse(split("-",$fecha_hoy)))); 

  $sql = "insert into `tickets` (`asunto`, `id_estudiante`, `fecha_solicitud`, `descripcion`) values (" .sqlvalue(@$_POST["asunto"], true).", '$id_alumno', '$fecha_registro', " .sqlvalue(@$_POST["descripcion"], true).")";
  mysql_query($sql, $conn) or die(mysql_error());
}

function sql_update()
{
  global $conn;
  global $_POST;

  $fecha1 = explode("-",date("Y-m-d")); 
  $fecha2 = $fecha1[0].$fecha1[1].$fecha1[2]; 
  $fecha_hoy = cambioFecha($fecha2);  
  $fecha_respuesta=join ("-",(array_reverse(split("-",$fecha_hoy))));
  $estado="PROCESADO"; 
  $sql = "update `tickets` set  `respuesta`=" .sqlvalue(@$_POST["respuesta"], true).", `fecha_respuesta`='$fecha_respuesta', `estado`='$estado' where " .primarykeycondition();
  mysql_query($sql, $conn) or die(mysql_error());
}
function primarykeycondition()
{
  global $_POST;
  $pk = "";
  $pk .= "(`id_ticket`";
  if (@$_POST["xid_ticket"] == "") {
    $pk .= " IS NULL";
  }else{
  $pk .= " = " .sqlvalue(@$_POST["xid_ticket"], false);
  };
  $pk .= ")";
  return $pk;
}

 function cambioFecha($fecha){ //$fecha es de este formato --> ej: 20081229 
	$tieneCeroDiaMes = substr($fecha,6,1); 
	if ($tieneCeroDiaMes == 0) { 
		$diaMes = substr($fecha,7,1); 
	} else { 
		$diaMes = substr($fecha,6,2); 
	} 
	
	$Mes = substr($fecha,4,2); 
	
	
	$Anio = substr($fecha,0,4); 
	return $diaMes."-".$Mes."-".$Anio.""; 
	}     
 ?>
